Bug Hunting Session
Bug 88843 - SIDEBAR: Can set over 100% transparency on frames using sidebar
Summary: SIDEBAR: Can set over 100% transparency on frames using sidebar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium minor
Assignee: Rishabh
URL:
Whiteboard: target:5.1.0 target:4.4.5
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-28 03:40 UTC by tmacalp
Modified: 2016-10-25 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tmacalp 2015-01-28 03:40:23 UTC
In LO 4.4, it's now possible to somehow set the transparency of frames >100% if you use the field in the sidebar.  Once set to this invalid value, if you click off of the frame and then back on, transparency option will be greyed out in the sidebar.  At this point it's easy enough to work around it by just pulling up the normal frame properties dialog.

Steps to reproduce:
1. Create a new document
2. Insert -> Frame
3. Pull up the "Properties" deck of the sidebar
4. Either type in or use the "increase" button to set the transparency higher than 100%
5. Click somewhere other than the frame to set the value

Expected:
The box should have an upper constraint of 100%.  It should not let a user set a higher value.  If it somehow is set to be higher, it should fail gracefully and set the transparency down to 100% while not disabling any transparency options.  It should behave the same way the transparency tab in the frame properties dialog behaves.

Actual:
The transparency settings in the sidebar are disabled and impossible to correct without changing the frame property settings.  The settings show a greyed out value of 50%, though the frame acts 100% transparent.

Notes:
At least this value seems to go through a sanity check while loading the document and invalid values don't survive a file reload.

I tested this using LibreOffice 4.4.0.3 using 64bit Arch Linux.
Comment 1 Buovjaga 2015-01-29 20:35:53 UTC
Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 3 Commit Notification 2015-06-16 14:41:50 UTC
Rishabh Kumar committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9bd17b3c1b2dd656c707512fd34a3bdec5d33c9&h=libreoffice-4-4

tdf#88843 Set Maximum Value for Transparency spin button in area sidebar tab

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.